angular_ui 0.6.3

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • --

Angular UI Build Status Stories in Ready

Port of Angular-UI to Dart.

##Bootstrap directives and components

  • Checkbox and RadioButton
  • DropdownToggle
  • Collapse
  • Alert
  • ProgressBar
  • Modal
  • Accordion
  • Rating
  • Datepicker (partially implemented)
  • Tabs
  • Drag and Drop support
  • Carousel
  • Timepicker
  • Pagination
  • Tooltip
  • Popover
  • Typehead

Note: Drag and Drop support is experimental feature and API can be changed at any time in the future.

##Credits

#Version 0.6.0, (2014/12/12)

  • Migration on Angualr Dart 1.0, support Bootstrap 3.3.1 and bug fixes.

#Version 0.5.5, (2014/06/25)

##Bug Fixes

  • Modal Dialog with backdrop:'static' cannot be closed by click on button with data-dismiss='modal'

#Version 0.5.4, (2014/06/21)

##Bug Fixes

  • Error when using typeahead-on-select=ctrl.setSelectedItem($item, $model, $label)

#Version 0.5.3, (2014/06/18)

##Bug Fixes

  • Typeahead placement of suggestion popover offset by approax 200px
  • Fix animation toggle and z-index calculation in ModalWindow

#Version 0.5.2, (2014/06/17)

##Features

  • Project migrated to follow Dart SDK 1.4.3

##Bug Fixes

  • ModalWindow must call dismiss method of top ModalInstance instead of Modal.close.

#Version 0.5.1, (2014/06/06)

##Features

  • Project migrated to follow Angular Dart 0.12.0

#Version 0.5.0, (2014/06/05)

##Features

  • All components have migrated away from Shadow DOM and applyAuthorStyles.

##Bug Fixes

  • ng-click called multiple times
  • DatePicker tests fail with UTC+1

#Version 0.4.0, (2014/05/16)

##Features

  • Carousel
  • Timepicker
  • Pagination
  • Tooltip
  • Popover
  • Typehead

##Bug Fixes

  • Classes Popover, Tooltip, ModalWindow, DatePicker compiled to JavaScript don't work proper
  • Error compiling Pagination component to JavaScript
  • Checkbox component doesn't work proper in example

#Version 0.3.0, (2014/04/19)

##Features

  • Accordion
  • Datepicker (partially implemented)
  • Rating
  • Tabs
  • Drag and Drop support

##Bug Fixes

  • Fixed selectors of all components
  • Fixed unittest for all components

#Version 0.2.0, (2014/02/13)

##Features

  • Collapse
  • DropdownToggle
  • Alert
  • Progressbar
  • Modal
  • Timeout

##Bug Fixes

  • Transition and Collapse are not working as expected

#Version 0.1.0, (2014/01/14)

##Features

  • Buttons
  • Position
  • Transition

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  angular_ui: ^0.6.3

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:angular_ui/angular_ui.dart';
  
Version Uploaded Documentation Archive
0.6.13 Sep 26, 2016 Go to the documentation of angular_ui 0.6.13 Download angular_ui 0.6.13 archive
0.6.11 Oct 9, 2015 Go to the documentation of angular_ui 0.6.11 Download angular_ui 0.6.11 archive
0.6.10 Oct 8, 2015 Go to the documentation of angular_ui 0.6.10 Download angular_ui 0.6.10 archive
0.6.9 Sep 24, 2015 Go to the documentation of angular_ui 0.6.9 Download angular_ui 0.6.9 archive
0.6.8 Mar 1, 2015 Go to the documentation of angular_ui 0.6.8 Download angular_ui 0.6.8 archive
0.6.6 Feb 27, 2015 Go to the documentation of angular_ui 0.6.6 Download angular_ui 0.6.6 archive
0.6.5 Feb 25, 2015 Go to the documentation of angular_ui 0.6.5 Download angular_ui 0.6.5 archive
0.6.4 Feb 3, 2015 Go to the documentation of angular_ui 0.6.4 Download angular_ui 0.6.4 archive
0.6.3 Jan 16, 2015 Go to the documentation of angular_ui 0.6.3 Download angular_ui 0.6.3 archive
0.6.2 Dec 12, 2014 Go to the documentation of angular_ui 0.6.2 Download angular_ui 0.6.2 archive

All 32 versions...

Awaiting analysis to complete.